From 4706b4074664ba536691bb180ae8dd6d86d385e8 Mon Sep 17 00:00:00 2001
From: samatov.nail <samatov@developers.mail>
Date: Mon, 15 Nov 2010 09:37:30 +0300
Subject: [PATCH] Added the feature: if there is a selected text when a user has opened Find And Replace dialog, this text is copied to the "Find:" text field.

---
 pgadmin/ctl/ctlSQLBox.cpp            |   10 ++++++++--
 pgadmin/dlg/dlgFindReplace.cpp       |    5 +++++
 pgadmin/include/dlg/dlgFindReplace.h |    1 +
 3 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/pgadmin/ctl/ctlSQLBox.cpp b/pgadmin/ctl/ctlSQLBox.cpp
index 5834369..cbcc4ad 100644
--- a/pgadmin/ctl/ctlSQLBox.cpp
+++ b/pgadmin/ctl/ctlSQLBox.cpp
@@ -184,14 +184,20 @@ void ctlSQLBox::OnSearchReplace(wxCommandEvent& ev)
     {
         m_dlgFindReplace = new dlgFindReplace(this);
         m_dlgFindReplace->Show(true);
-        m_dlgFindReplace->FocusSearch();
     }
     else
     {
         m_dlgFindReplace->Show(true);
         m_dlgFindReplace->SetFocus();
-        m_dlgFindReplace->FocusSearch();
     }
+
+	wxString selText = GetSelectedText();
+	if (!selText.IsEmpty())
+	{
+		m_dlgFindReplace->SetFindString(selText);
+	}
+
+    m_dlgFindReplace->FocusSearch();
 }
 
 bool ctlSQLBox::Find(const wxString &find, bool wholeWord, bool matchCase, bool useRegexps, bool startAtTop, bool reverse)
diff --git a/pgadmin/dlg/dlgFindReplace.cpp b/pgadmin/dlg/dlgFindReplace.cpp
index 9d4d77e..88b75fe 100644
--- a/pgadmin/dlg/dlgFindReplace.cpp
+++ b/pgadmin/dlg/dlgFindReplace.cpp
@@ -286,3 +286,8 @@ void dlgFindReplace::FindNext()
     }
 }
 
+void dlgFindReplace::SetFindString(const wxString &val)
+{
+	txtFind->SetValue(val);
+}
+
diff --git a/pgadmin/include/dlg/dlgFindReplace.h b/pgadmin/include/dlg/dlgFindReplace.h
index c476bcb..f026941 100644
--- a/pgadmin/include/dlg/dlgFindReplace.h
+++ b/pgadmin/include/dlg/dlgFindReplace.h
@@ -24,6 +24,7 @@ public:
     ~dlgFindReplace();
     void FocusSearch();
     void FindNext();
+	void SetFindString(const wxString &val);
 
 private:
 
-- 
1.7.2.3.msysgit.0
